#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_00/b_34/sys/src/install/perl/SAPDB/Install/Dialog/AcceptLicense.pm#1 $
# $DateTime: 2006/09/04 17:37:38 $
# $Change: 134683 $
#
# Desc:


package SAPDB::Install::Dialog::AcceptLicense;

use Wx qw (wxHORIZONTAL wxEXPAND wxICON_QUESTION);

use SAPDB::Install::Window::License;


our @ISA = qw(Wx::Dialog);

sub new{
	my($self ) = shift->SUPER::new(@_);
	$self->Move([300,200]);
	$self->SetSize([800,600]);
	$self->SetWindowStyleFlag ($self->GetWindowStyleFlag () | wxICON_QUESTION);
	my $sizer = Wx::BoxSizer->new (wxHORIZONTAL);
	$self->SetTitle('Accept MaxDB License');
	$self->{win}  = SAPDB::Install::Window::License->new($self,-1,[-1,-1],[800,600]);
	$sizer->Add ($self->{win},1,wxEXPAND);
	EVT_SDB_LICENSE_ACCEPT($self,$self->{win}->GetId,\&OnAccept);
	EVT_SDB_LICENSE_DECLINE($self,$self->{win}->GetId,\&OnDecline);
	$self->SetSizer ($sizer);
	$self->SetAutoLayout (1);
	return $self;
}

sub OnAccept{
	my ($self,$evt) = @_;
	$self->EndModal(0);
}

sub OnDecline{
	my ($self,$evt) = @_;
	$self->EndModal(1);
}


sub Destroy{
	my ($self) = @_;
	$self->SUPER::Destroy;
}


sub DESTROY{
	my ($self) =  @_;
	print ">>>> DESTROY $self\n"
		if $SAPDB::Install::DEBUG::DESTRUCT;
}


1;
