package  SAPDB::Install::Templates2::test::DatabaseInstanceGeneric;
use SAPDB::Install::Templates2::InstUnit;
use SAPDB::Install::Templates2::InstTemplate;
use SAPDB::Install::Templates2::Debug;
use SAPDB::Install::Templates2::Util;
use Data::Dumper;
use strict;


our @ISA;
if($SCRIPTING){
  require Exporter;
  push @ISA,qw(Exporter);
}
else{
  require SDB::Common::Exporter;
  push @ISA,qw(SDB::Common::Exporter);
}
push  @ISA, qw( SAPDB::Install::Templates2::DatabaseInstance);


sub new{
  my $data = {
              'CLASS' => 'SAPDB::Install::Templates2::test::DatabaseInstanceGeneric',
              'PACKAGE_NAME' => 'DatabaseInstanceTestPackage'
             };
  my $template = SAPDB::Install::Templates2::InstTemplate::new();
  my $instance =  SAPDB::Install::Templates2::InstUnit::new($data,$template);
  return $instance;
}

my $sampleData = << "XMLDATA";
<ParameterData>
DBVOLUME 1;DATA;\${INDEPDATA}/\${DBNAME}/data/DISKD0001;F;32768
DBVOLUME 1;LOG;\${INDEPDATA}/\${DBNAME}/log/DISKL0001;F;16384
DBPARAM _SERVERDB_FOR_SAP   YES
LOGSTRATEGY NONE
</ParameterData>
XMLDATA
my @sd = split(/\n/,$sampleData);
sub GetXmlData{
  my $this = shift;
  my $data = $this->SUPER::GetXmlData();
  my @newData = @$data;
  push @newData,(@sd);
  return \@newData;
}

1;




# Local Variables: ***
# eval: (setq my-sdbrun (format "%s\\sys\\src\\install\\perl\\sdbrun" "c:\\SapDevelop\\aw")) ***
# eval: (setq my-script (format "%s\\sys\\wrk\\script" "c:\\SapDevelop\\aw")) ***
# eval: (setq my-src (format "%s\\sys\\src\\install\\perl" (sdb-get-current-own))) ***
# eval: (setq perl-dbg-flags (format "-w -I%s -I%s\\readkey -I%s -I%s" my-sdbrun my-sdbrun my-script my-src )) ***
# End: ***




